Bug 831281 - SELinux is preventing /usr/sbin/rpc.svcgssd from read, write access on the file nfs_0.
SELinux is preventing /usr/sbin/rpc.svcgssd from read, write access on the fi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:a253b605245c9220057bcb82214...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 12:23 EDT by Enrico Scholz
Modified: 2012-07-19 05:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 20:28:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2012-06-12 12:23:13 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.x86_64
time:           Di 12 Jun 2012 18:22:38 CEST

description:
:SELinux is preventing /usr/sbin/rpc.svcgssd from read, write access on the file nfs_0.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If sie denken, dass rpc.svcgssd standardmässig erlaubt sein sollte, read write Zugriff auf nfs_0 file zu erhalten.
:Then sie sollten dies als Fehler melden.
:Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
:Do
:zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
:# grep rpc.svcgssd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:gssd_t:s0
:Target Context                system_u:object_r:krb5_host_rcache_t:s0
:Target Objects                nfs_0 [ file ]
:Source                        rpc.svcgssd
:Source Path                   /usr/sbin/rpc.svcgssd
:Port                          <Unbekannt>
:Host                          (removed)
:Source RPM Packages           nfs-utils-1.2.6-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-130.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.7-1.fc17.x86_64 #1 SMP Mon May 21 22:32:19 UTC
:                              2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Di 12 Jun 2012 18:22:13 CEST
:Last Seen                     Di 12 Jun 2012 18:22:13 CEST
:Local ID                      3944f4bc-f13c-4ab9-8cbb-9bd400f466ca
:
:Raw Audit Messages
:type=AVC msg=audit(1339518133.475:8487): avc:  denied  { read write } for  pid=14051 comm="rpc.svcgssd" name="nfs_0" dev="dm-8" ino=898 scontext=system_u:system_r:gssd_t:s0 tcontext=system_u:object_r:krb5_host_rcache_t:s0 tclass=file
:
:
:type=AVC msg=audit(1339518133.475:8487): avc:  denied  { open } for  pid=14051 comm="rpc.svcgssd" name="nfs_0" dev="dm-8" ino=898 scontext=system_u:system_r:gssd_t:s0 tcontext=system_u:object_r:krb5_host_rcache_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1339518133.475:8487): arch=x86_64 syscall=open success=yes exit=ESRCH a0=7fbcce5102a0 a1=2 a2=180 a3=7fff72c0c980 items=0 ppid=14048 pid=14051 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=rpc.svcgssd exe=/usr/sbin/rpc.svcgssd subj=system_u:system_r:gssd_t:s0 key=(null)
:
:Hash: rpc.svcgssd,gssd_t,krb5_host_rcache_t,file,read,write
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-15 07:46:40 EDT
Fixed in selinux-policy-3.10.0-131.fc17.noarch
Comment 2 Fedora Update System 2012-06-19 03:58:25 EDT
selinux-policy-3.10.0-132.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-132.fc17
Comment 3 Fedora Update System 2012-06-19 20:28:48 EDT
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-07-19 05:16:49 EDT
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.